## emacs24 24.2+1

=== etc/refcards/Makefile ===
### Makefile for Emacs refcards

## Copyright (C) 1993-1994, 2001-2012  Free Software Foundation, Inc.

## This file is part of GNU Emacs.
#
## GNU Emacs is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.

## GNU Emacs is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.


## Top-level targets.

## PDF files that are included with Emacs.
all: refcards_pdf dired-refcards_pdf misc-refcards_pdf

REFCARDS_PDF = refcard.pdf cs-refcard.pdf de-refcard.pdf fr-refcard.pdf \
            pl-refcard.pdf pt-br-refcard.pdf ru-refcard.pdf sk-refcard.pdf
refcards_pdf: ${REFCARDS_PDF}
refcards_ps: ${REFCARDS_PDF:.pdf=.ps}

DIRED_REFCARDS_PDF = dired-ref.pdf cs-dired-ref.pdf fr-dired-ref.pdf \
		sk-dired-ref.pdf
dired-refcards_pdf: ${DIRED_REFCARDS_PDF}
dired-refcards_ps: ${DIRED_REFCARDS_PDF:.pdf=.ps}

MISC_REFCARDS_PDF = calccard.pdf gnus-booklet.pdf gnus-refcard.pdf orgcard.pdf
misc-refcards_pdf: ${MISC_REFCARDS_PDF}
misc-refcards_ps: ${MISC_REFCARDS_PDF:.pdf=.ps}


## The following files are not included with Emacs.
SURVIVAL_CARDS_PDF = survival.pdf cs-survival.pdf sk-survival.pdf
survival-cards_pdf: ${SURVIVAL_CARDS_PDF}
survival-cards_ps: ${SURVIVAL_CARDS_PDF:.pdf=.ps}

VIPER_CARDS_PDF = vipcard.pdf viperCard.pdf
viper-cards_pdf: ${VIPER_CARDS_PDF}
viper-cards_ps: ${VIPER_CARDS_PDF:.pdf=.ps}


## PDF files.

## The page layouts (a4/letter) are written directly in the .tex files.

cs-refcard.pdf cs-dired-ref.pdf cs-survival.pdf sk-refcard.pdf \
sk-dired-ref.pdf sk-survival.pdf: %.pdf:	%.tex
	if pdfcsplain --version > /dev/null 2> /dev/null; then \
	  pdfcsplain $<; \
	else \
	  csplain "\pdfoutput=1\input $<"; \
	fi

## Some versions of pdfmex seem to create dvi by default, hence output-format.
pl-refcard.pdf: %.pdf: %.tex
	if ! kpsewhich -format=fmt mex > /dev/null && \
	  ! pdfmex --version > /dev/null 2> /dev/null; then \
	  echo "No mex format found."; false; \
	fi
	pdftex -output-format=pdf $<

ru-refcard.pdf: %.pdf: %.tex
	pdflatex $<

#gnus-logo.pdf: %.pdf: %.eps
#	ps2pdf $<

gnus-refcard.pdf: %.pdf: %.tex gnus-logo.pdf
	pdflatex $<

gnus-booklet.pdf: gnus-refcard.tex gnus-logo.pdf
	pdflatex -jobname=gnus-booklet '\def\booklettrue{}\def\letterpapertrue{}\input{gnus-refcard}'

## Everything not explicitly listed above.
%.pdf: %.tex
	pdftex $<


## dvi files.

cs-refcard.dvi cs-dired-ref.dvi cs-survival.dvi sk-refcard.dvi \
sk-dired-ref.dvi sk-survival.dvi: %.dvi:	%.tex
	csplain $<

pl-refcard.dvi: %.dvi: %.tex
	if ! kpsewhich -format=fmt mex > /dev/null; then \
	  echo "No mex format found."; false; \
	fi
	tex $<

ru-refcard.dvi gnus-refcard.dvi: %.dvi: %.tex
	latex $<

gnus-booklet.dvi: gnus-refcard.tex
	latex '\def\booklettrue{}\def\letterpapertrue{}\input{gnus-refcard}'
	mv gnus-refcard.dvi $@

## Everything not explicitly listed above.
%.dvi: %.tex
	tex $<


## PostScript files.

## Note that some of the tex files (refcard, de-refcard, fr-refcard,
## pt-br-refcard) have settings for letter or a4 paper. Following are
## the default paper sizes (letter for English, A4 for translations).
## FIXME orgcard.ps does not fit on letter (see orgcard.tex).

## A4, landscape.
de-refcard.ps fr-refcard.ps pt-br-refcard.ps orgcard.ps: %.ps: %.dvi
	dvips -t a4 -t landscape $< -o $@

## A4, portrait.
cs-dired-ref.ps cs-refcard.ps cs-survival.ps fr-dired-ref.ps \
pl-refcard.ps ru-refcard.ps \
sk-dired-ref.ps sk-refcard.ps sk-survival.ps: %.ps: %.dvi
	dvips -t a4 $< -o $@

## letter, landscape.
calccard.ps refcard.ps: %.ps: %.dvi
	dvips -t letter -t landscape $< -o $@

## letter, portrait.
dired-ref.ps gnus-booklet.ps gnus-refcard.ps survival.ps vipcard.ps \
viperCard.ps: %.ps: %.dvi
	dvips -t letter $< -o $@


.PHONY: clean

clean:
	-rm -f *.dvi *.log *.aux

### Makefile ends here

## emacs24 24.1+1

=== debian/changelog ===
emacs24 (24.1+1-2ubuntu3) quantal-proposed; urgency=low

  * Backport from Debian (Rob Browning):
    - Stop producing the emacs binary metapackage.
      Move the emacs binary metapackage to its own source package
      (emacs-defaults, cf. gcc-defaults).  This will prevent emacs23 and
      emacs24 from producing the same binary package.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 22 Sep 2012 14:24:57 +0100

emacs24 (24.1+1-2ubuntu2) quantal-proposed; urgency=low

  * SECURITY UPDATE: arbitrary lisp code execution via crafted file
    - debian/patches/CVE-2012-3479.patch: ignore eval: forms that are not
      known to be safe if enable-local-variables is set to :safe in
      lisp/files.el.
    - CVE-2012-3479

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Sep 2012 11:14:32 -0400

emacs24 (24.1+1-2ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes
     - emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs24" to please
       bamf and gnome-shell
     - debian/emacsVER.desktop: also set StartupWMClass for bamf and
       gnome-shell
     - Have emacs24-common Depends on emacs24-common-non-dfsg, now that it is
       out of multiverse. Update debian/copyright to match
     - debian/control.in: use libtiff5-dev in place of libtiff4-dev
  * Dropped changes:
    - debian/patches/unity-shrinkage.patch: Was upstream backport, in this
      release now.
    - debian/patches/no_cpp_multiarch_dir_mangling.diff: Was FTBFS fix. No
      longer does FTBFS without it.

 -- Iain Lane <laney@ubuntu.com>  Wed, 11 Jul 2012 14:54:23 +0100

emacs24 (24.1+1-2) unstable; urgency=low

  * Restrict libselinux1-dev build dependency to [linux-any].
    Thanks to James McCoy <jamessan@debian.org> for the report.
    (Closes: #679679)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 04 Jul 2012 19:16:00 -0500

emacs24 (24.1+1-1) unstable; urgency=low

  * Upgrade to upstream version 24.1.

  * Fix Prefer-usr-share-info-emacs-23-over-usr-share-info.patch for emacs24.

  * Update Debian-specific documentation in patches/ for emacs24.
    Adjust 0002-Run-debian-startup-and-set-debian-emacs-flavor.patch
    header to refer to 'emacs24.  Refer to emacs24-common in /etc/NEWS
    in 0004-Adjust-documentation-references-for-Debian.patch.

  * Update debian/control* and debian/copyright for emacs24.

  * Update debian/.gitignore for emacs24.

  * Add 0009-Restore-doc-emacs-emacsver.texi.patch.

  * Add 0010-Rename-infodir-to-buildinfodir-in-doc-Makefile.in-GN.patch.

  * Add build-deps: libgnutls-dev libxml2-dev libselinux1-dev libmagick++-dev.

  * Clean up debian/rules, and update it for emacs24.

  * Allow DEB_BUILD_OPTIONS parallel builds again.

  * Change emacs package to stick with emacs23 for now.

  * Fix emacsVER.lintian-overrides to refer to the correct icon paths.

  * Fix package descriptions to satisfy lintian.

  * Don't compile with -DDEBIAN anymore (no longer needed).

  * Don't switch to -O1 for m68k and ia64; hopefully unnecessary now.

  * Verify that movemail was compiled against liblockfile.

  * Don't copy .git to build trees.

  * Uncompress manpages before trying to give them versioned names.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 29 Jun 2012 16:16:28 -0500

emacs23 (23.4+1-3ubuntu2) quantal; urgency=low

  * debian/control.in: use libtiff5-dev in place of libtiff4-dev

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 09 Jul 2012 15:42:40 -0500

emacs23 (23.4+1-3ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
    - debian/control.in:
      - Do not suggest emacs23-common-non-dfsg.
      - Replace use of Source-Version with source:Version.
    - debian/patches:
      - emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs23" to please
        bamf and gnome-shell
      - debian/patches/no_cpp_multiarch_dir_mangling.diff: make sure cpp
        doesn't mangle our multiarch include path due to a built-in macro
        matching the architecture name.
    - debian/emacsVER.desktop: also set StartupWMClass for bamf and
      gnome-shell
  * Dropped changes:
    - use_crtdir_in_startfiles.diff: Now upstream
    - emacs-xgselect.patch: Now applied in Debian
    - Drop the horror that was ubuntu-restore-nondfsg-files.diff. We'll move
      the package into main.
  * Have emacs23-common Depends on emacs23-common-non-dfsg, now that it is
    going to main.

 -- Iain Lane <laney@ubuntu.com>  Sat, 12 May 2012 12:30:20 +0100

emacs23 (23.4+1-3) unstable; urgency=low

  * Add 0017-Initialize-xgselect-in-function-xg_select-when-gfds_.patch.
    Patch xgselect.c to prevent hang when using newer versions of
    GLib.  Thanks to Vincent Lefevre <vincent@vinc17.net> and Sven
    Arvidsson <sa@whiz.se> for the initial reports, and Karel Klíč
    <kklic@redhat.com> for the patch. (Closes: #666691)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 07 Apr 2012 14:35:51 -0500

emacs23 (23.4+1-2) unstable; urgency=low

  * Add 0015-coding.c-produce_chars-Fix-updating-of-src_end-Bug-1.patch.
    Incorporate upstream fix to prevent Emacs from crashing while
    decoding input with DOS EOLs.

  * Add 0016-quail-indian.el-indian-tlg-base-table-Fix-typo-dev-t.patch.
    Rename indian-dev-base-table to indian-tlg-base-table to correct a
    typo in quail/indian.el.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Mar 2012 01:19:53 -0500

emacs23 (23.4+1-1) unstable; urgency=low

  * Upgrade to upstream version 23.4.  Emacs 23.4 includes grammars
    that were missing for some of its bison parsers.  Thanks to Julian
    Andres Klode <jak@debian.org> for the report. (Closes: #635938)

  * Update debian/* for Emacs 23.4.

  * Depend on libpng-dev rather than libpng12-dev.  Thanks to Nobuhiro
    Iwamatsu <iwamatsu@nigauri.org> for the report.  (Closes: #662312)

  * Add 0014-Fix-hang-after-C-z-in-gnome-shell.patch.  Emacs should no
    longer hang when C-z is pressed within the Gnome shell.  Thanks to
    Nikolay Pelov <npelov@gmail.com> for the report.


=== debian/control ===
Source: emacs24
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
 libgif-dev | libungif4-dev, libtiff5-dev | libtiff-dev, xaw3dg-dev,
 libpng-dev, libjpeg-dev, libm17n-dev, libotf-dev,
 libgpm-dev [linux-any], libdbus-1-dev,
 autoconf, automake, autotools-dev, dpkg-dev (>> 1.10.0), quilt (>= 0.42),
 debhelper (>= 7.0.50~), libxaw7-dev, sharutils, imagemagick, libgtk2.0-dev,
 libgnutls-dev, libxml2-dev, libselinux1-dev [linux-any], libmagick++-dev,
 libgconf2-dev, libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Homepage: http://www.gnu.org/software/emacs/
Standards-Version: 3.7.2

Package: emacs24-lucid
Architecture: any
Depends: emacs24-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: emacs24, emacsen, editor, info-browser, mail-reader, news-reader
Conflicts: emacs24, emacs24-nox
Replaces: emacs24, emacs24-nox
Description: GNU Emacs editor
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs with a Lucid user interface.

Package: emacs24-nox
Architecture: any
Depends: emacs24-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: emacs24, editor, emacsen, info-browser, mail-reader, news-reader
Conflicts: emacs24, emacs24-lucid
Replaces: emacs24, emacs24-lucid
Description: GNU Emacs editor (without X support)
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs compiled without support for X.

Package: emacs24
Architecture: any
Depends: emacs24-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: editor, emacsen, info-browser, mail-reader, news-reader
Conflicts: emacs24-lucid, emacs24-nox
Replaces: emacs24-lucid, emacs24-nox
Description: GNU Emacs editor (with GTK+ user interface)
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs with a GTK+ user interface.

Package: emacs24-bin-common
Architecture: any
Depends: emacs24-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GNU Emacs editor's shared, architecture dependent files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture dependent infrastructure
 that's shared by emacs24, emacs24-lucid, and emacs24-nox.

Package: emacs24-common
Architecture: all
Depends: emacsen-common (>= 1.4.10), dpkg (>= 1.15.4) | install-info,
 emacs24-common-non-dfsg, ${shlibs:Depends}, ${misc:Depends}
Suggests: emacs24-el
Conflicts: emacs24-el (<< ${source:Version}), cedet, eieio, speedbar
Description: GNU Emacs editor's shared, architecture independent infrastructure
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture independent infrastructure
 that's shared by emacs24, emacs24-lucid, and emacs24-nox.

Package: emacs24-el
Architecture: all
Depends: emacs24-common (= ${source:Version}), ${misc:Depends}
Description: GNU Emacs LISP (.el) files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the elisp sources for the convenience of users,
 saving space in the main package for small systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This file is licensed under the terms of the Gnu Public License.
# With the one additional provision that Ian Jackson's name may not be
# removed from the file.

# Copyright 1994,1995 Ian Jackson
# Copyright 2004-2005 Jrme Marant <jerome@debian.org>
# Copyright 1998-2012 Rob Browning <rlb@defaultvalue.org>

# Originally copied from the GNU Hello Debian rules file (1.3).
# Modified for emacs by Mark Eichin <eichin@kitten.gen.ma.us>.
# Debhelper support added via one of Joey Hess' example files.
# See the debian/changelog for further historical information.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL := /bin/bash
quilt := QUILT_PATCHES=debian/patches quilt
pf := set -o pipefail

# This package uses debian/source/format 3.0 (quilt).

# For now we assume that emacs' versioning scheme is always
# MAJOR.MINORtinyrev where MAJOR and MINOR are integers and tinyrev is
# an optional lowercase letter (or letters).  We also assume that
# upstream uses a numbering scheme that sorts in a "Debian friendly"
# way.  So far that's always been true.  If it becomes false, some of
# the values below will have to be set manually.

# (You might imagine that a VPATH build would allow us to avoid having
#  to copy the entire source tree for each of the three builds, but it
#  turns out that without additional complexity, VPATH builds will
#  cause diff bloat.  That's because the emacs build process doesn't
#  completely respect the .elc files; some are modified in srcdir, not
#  builddir.)

# The official upstream version defined by AC_INIT in configure.in.
upstream_ver := 24.1

# This must be the version that's actually used at runtime for things
# like load-path.  It may not be the same as the upstream version
# (i.e. when you have upstream 20.5a, the functional version may still
# be 20.5), so sometimes we may have to do this by hand.
runtime_ver := $(shell $(pf); echo $(upstream_ver) | perl -pe 's/[a-z]+$$//o')
major_ver := $(shell $(pf); echo $(runtime_ver) | perl -pe 's/\..*$$//o')
minor_ver := $(shell $(pf); echo $(runtime_ver) | perl -pe 's/^[^.]*\.//o')

# The name of the Debian source package
src_name := $(shell $(pf); dpkg-parsechangelog | egrep '^Source:')
src_name := $(shell $(pf); echo $(src_name) | perl -pe 's/Source:\s+//o')

# The version from the changelog (i.e. 20.5-1)
debian_ver := $(shell $(pf); dpkg-parsechangelog | egrep '^Version:')
debian_ver := $(shell $(pf); echo $(debian_ver) | perl -pe 's/Version:\s+//o')

# The Debian revision (i.e. the 1 from 20.5-1)
# Always everything after the last '-'
debian_rev := $(shell $(pf); echo $(debian_ver) | perl -pe 's/.*-//o')

# Might be 21.3, or it might be 21.3+1 if we've had to have more than
# one re-release of the upstream source (rare, but it happens), or if
# we have to split the package for DFSG purposes.  Always everything
# before the last '-'
debsrc_ver := $(shell $(pf); echo $(debian_ver) | perl -pe 's/-[^-]+$$//o')

# The flavor (i.e. emacs21) currently matches the source package name.
flavor := $(src_name)

info_subdir := emacs-$(major_ver)

######################################################################
# Customizable variables

bin_priority := 27

# This might also be something like 2006-09-09 for snapshots.
menu_ver := $(major_ver)

######################################################################

# Should these be exported like this (as autotools-dev recommends for
# the two vars below) or not?
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

# As recommended by /usr/share/doc/autotools-dev/README.Debian.gz.
# Handle cross-compiling and don't make ./configure guess.
export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

deb_host_multiarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

LDFLAGS   += -g

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif

joblimit := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
ifeq (,$(joblimit))
  joblimit := 1
endif

target := $(DEB_HOST_GNU_TYPE)
movemail_bin := usr/lib/emacs/$(runtime_ver)/$(target)/movemail

# Info files that are going to show up in the main dir.
main_dir_info_files := \
  efaq

# Files that the build stage depends on (may also be listed in other vars).
persistent_autogen_build_files := debian/control debian/copyright
nonpersistent_autogen_build_files :=

# These files must always exist, i.e. can't ever be cleaned.
persistent_autogen_install_files :=

nonpersistent_autogen_install_files := \
  debian/$(flavor)-bin-common.lintian-overrides \
  debian/$(flavor)-bin-common.postinst \
  debian/$(flavor)-bin-common.prerm \
  debian/$(flavor)-common.README.Debian \
  debian/$(flavor)-common.docs \
  debian/$(flavor)-common.lintian-overrides \
  debian/$(flavor)-common.postinst \
  debian/$(flavor)-common.prerm \
  debian/$(flavor)-nox.README.Debian \
  debian/$(flavor)-nox.lintian-overrides \
  debian/$(flavor)-nox.menu \
  debian/$(flavor)-nox.postinst \
  debian/$(flavor)-nox.prerm \
  debian/$(flavor)-lucid.README.Debian \
  debian/$(flavor)-lucid.desktop \
  debian/$(flavor)-lucid.lintian-overrides \
  debian/$(flavor)-lucid.menu \
  debian/$(flavor)-lucid.postinst \
  debian/$(flavor)-lucid.prerm \
  debian/$(flavor).README.Debian \
  debian/$(flavor).desktop \
  debian/$(flavor).menu \
  debian/$(flavor).lintian-overrides \
  debian/$(flavor).postinst \
  debian/$(flavor).prerm

autogen_build_files := \
  $(nonpersistent_autogen_build_files) $(persistent_autogen_build_files)

autogen_install_files := \
  $(nonpersistent_autogen_install_files) $(persistent_autogen_install_files)

persistent_autogen_files := \
  $(persistent_autogen_build_files) $(persistent_autogen_install_files)

nonpersistent_autogen_files := \
  $(nonpersistent_autogen_build_files) $(nonpersistent_autogen_install_files)


# Build directories
pkgdir_common := $(CURDIR)/debian/$(flavor)-common
pkgdir_bin_common := $(CURDIR)/debian/$(flavor)-bin-common
pkgdir_x := $(CURDIR)/debian/$(flavor)
pkgdir_nox := $(CURDIR)/debian/$(flavor)-nox
pkgdir_lucid := $(CURDIR)/debian/$(flavor)-lucid
pkgdir_el := $(CURDIR)/debian/$(flavor)-el

install_dir_x := $(CURDIR)/debian/install-x
install_dir_nox := $(CURDIR)/debian/install-nox
install_dir_lucid := $(CURDIR)/debian/install-lucid

local_lpath := /etc/$(flavor):/etc/emacs
local_lpath := $(local_lpath):/usr/local/share/emacs/$(runtime_ver)/site-lisp
local_lpath := $(local_lpath):/usr/local/share/emacs/site-lisp
local_lpath := $(local_lpath):/usr/share/emacs/$(runtime_ver)/site-lisp
local_lpath := $(local_lpath):/usr/share/emacs/site-lisp

# Installation local_lpath
local_lpath_install \
  := $(pkgdir_common)/$(subst :,:$(pkgdir_common)/,$(local_lpath))

define testdir
  dh_testdir debian/emacsVER.postinst
endef

# If we ever need to do the stripping outside of dh_strip, just add an
# INSTALL_STRIP="-s" to the make vars below.

define emacs_inst
  $(MAKE) -C debian/$(1) install \
    DESTDIR=$(2) \
    infodir=/usr/share/info/emacs-$(major_ver) \
    localstatedir=/var
endef

# If we ever need it, we can create a copy that doesn't assume ./debian/
define deb_sub
  perl -p \
    -e "s|\@PKG_NAME\@|$(pkg_name)|go;" \
    -e "s|\@MAJOR_VERSION\@|$(major_ver)|go;" \
    -e "s|\@MINOR_VERSION\@|$(minor_ver)|go;" \
    -e "s|\@FULL_VERSION\@|$(runtime_ver)|go;" \
    -e "s|\@PACKAGE_VERSION\@|$(debian_ver)|go;" \
    -e "s|\@DEBIAN_REV\@|$(deb_rev)|go;" \

## emacs24 24.2+1

=== debian/changelog ===
emacs24 (24.2+1-2ubuntu2) raring; urgency=low

  * Fix 'Ediff' window shrinks horizontally to one column wide (LP:
    #1059633) Thanks marga-9 for the patch.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 09 Apr 2013 10:32:32 +0100

emacs24 (24.2+1-2ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
     - emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs24" to please
       bamf and gnome-shell.
     - debian/emacsVER.desktop: Also set StartupWMClass for bamf and
       gnome-shell.
     - Have emacs24-common Depends on emacs24-common-non-dfsg, now that it
       is out of multiverse.  Update debian/copyright to match.
     - debian/control.in: Use libtiff5-dev in place of libtiff4-dev.
     - Apply upstream patch for bug 12764 to fix maddeningly broken behavior
       with quit-window.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 05 Mar 2013 01:01:46 +0000

emacs24 (24.2+1-2) unstable; urgency=low

  * Switch emacs24 from GTK+ 2 to GTK+ 3. (Closes: #679931)

  * Migrate to debhelper 9.

  * Add emacsVER-dbg, emacsVER-lucid-dbg, and emacsVER-nox-dbg packages.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 20 Jan 2013 16:18:00 -0600

emacs24 (24.2+1-1ubuntu2) raring; urgency=low

  * Apply upstream patch for bug 12764 to fix maddeningly broken behavior
    with quit-window.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 13 Dec 2012 14:34:07 -0500

emacs24 (24.2+1-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
     - emacsVER-lp725988.patch: Set the X EMACS_CLASS to "Emacs24" to please
       bamf and gnome-shell.
     - debian/emacsVER.desktop: Also set StartupWMClass for bamf and
       gnome-shell.
     - Have emacs24-common Depends on emacs24-common-non-dfsg, now that it
       is out of multiverse.  Update debian/copyright to match.
     - debian/control.in: Use libtiff5-dev in place of libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Nov 2012 17:58:27 +0000

emacs24 (24.2+1-1) unstable; urgency=high

  * Upgrade to upstream version 24.2 and update debian/patches.

  * Remove patches that have been incorporated upstream:
      0010-Rename-infodir-to-buildinfodir-in-doc-Makefile.in-GN.patch

  * Stop producing the emacs binary metapackage.
    Move the emacs binary metapackage to its own source package
    (emacs-defaults, cf. gcc-defaults).  This will prevent emacs23 and
    emacs24 from producing the same binary package.

  * Don't eval code when enable-local-variables is :safe.  Previously,
    Emacs might eval forms in file-local variable sections even when
    the Emacs user option `enable-local-variables' was set to :safe
    (CVE-2012-3479).  Emacs 24.2 fixes the problem.  Thanks to Henri
    Salo <henri@nerv.fi> for the report.  (Closes: #684695)

  * Have debian/% depend on debian/rules since it now sets the
    upstream_ver.

  * Update debian/rules upstream_ver to 24.2 and run "debian/rules
    debian-sync".

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 09 Sep 2012 12:03:31 -0500

emacs24 (24.1+1-4) unstable; urgency=low

  * Fix FTBS on ia64 with -O1.  Remove redundant LDFLAGS+=-g and
    CFLAGS+=-O2.  See also: #582439. (Closes: #679986)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 20 Jul 2012 12:51:32 -0500

emacs24 (24.1+1-3) unstable; urgency=low

  * Add 0011-Don-t-use-IN_FLOAT-when-calling-fabs-since-it-may-cl.patch.
    Fix FTBS on i386 by adding an upstream patch to skip fabs() errno
    checking.  Since fabs() has no error conditions, it doesn't guarantee
    that it won't clobber errno.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 17 Jul 2012 19:25:59 -0500

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 # Copyright 1994,1995 Ian Jackson
 # Copyright 2004-2005 Jrme Marant <jerome@debian.org>
-# Copyright 1998-2012 Rob Browning <rlb@defaultvalue.org>
+# Copyright 1998-2013 Rob Browning <rlb@defaultvalue.org>
 
 # Originally copied from the GNU Hello Debian rules file (1.3).
 # Modified for emacs by Mark Eichin <eichin@kitten.gen.ma.us>.
@@ -38,7 +38,7 @@
 #  builddir.)
 
 # The official upstream version defined by AC_INIT in configure.in.
-upstream_ver := 24.1
+upstream_ver := 24.2
 
 # This must be the version that's actually used at runtime for things
 # like load-path.  It may not be the same as the upstream version
@@ -100,15 +100,17 @@
 
 deb_host_multiarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall
-LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
-
-LDFLAGS   += -g
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O2
+  ifneq (,$(filter $(DEB_HOST_ARCH),ia64))
+    # Fix a problem with newer versions of gcc on ia64.
+    # See bugs #582439 and #679986.
+    CFLAGS += -O1
+  endif # eq ia64
 endif
 
 joblimit := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -212,6 +214,3 @@
     -e "s|\@PKG_NAME\@|$(pkg_name)|go;" \
     -e "s|\@MAJOR_VERSION\@|$(major_ver)|go;" \
     -e "s|\@MINOR_VERSION\@|$(minor_ver)|go;" \
-    -e "s|\@FULL_VERSION\@|$(runtime_ver)|go;" \
-    -e "s|\@PACKAGE_VERSION\@|$(debian_ver)|go;" \
-    -e "s|\@DEBIAN_REV\@|$(deb_rev)|go;" \

## emacs24 24.2-1

=== debian/changelog ===
emacs24 (24.2-1) unstable; urgency=low

  * Initial release.

 -- Manan Tuli <mt_void@yahoo.com>  Tue, 27 Nov 2012 15:33:12 +0100

=== debian/control ===
Source: emacs24
Section: user/utilities
Priority: optional
Maintainer: Manan Tuli <mt_void@yahoo.com>
Build-Depends: debhelper (>= 7.0.0), autotools-dev, libncurses5-dev, libungif4-dev, libxml2-dev, libxpm-dev, libtiff4-dev, libgconf2-dev, libgtk2.0-dev
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/emacs

Package: emacs24
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wmctrl
Description: The GNU Emacs editor
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs for the Maemo platform.
XSBC-Maemo-Display-Name: GNU Emacs
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAANbY1E9Y
 MgAAFMhJREFUeNpiDA9exYAbMDIw/Iew/mMXBzIYhIHYAojtgVgHiGWAmAeImYD4
 N1DZOyD9EIhPA/F+IL4CxN/RTMNhPaqtbGw8DOcvzme4eh3i5v///zMABBALA3lA
 CYhTgdgSaLsWkBYF+wjJvv9QhwGxMpBtCmSGMDIw/gHSj4D8S0B6KxCvBOLPDBQA
 gAAi1QOqQBzLyPA/9T8jgwRMkAnqUiZGRgYmZiBmYkTxyT9gSP3995/h/18GFiCl
 BAxYUAAEAHEmEE8A4i1A/J4cDwAEEFEegAZsDtBZvaCYBDmWEZaGgI5mYWFkYGVj
 ZmBlYQazmZmYGBiBHmEE6wX5gIHhD9Dlf/78Y/j96y/Dr5//wGygv4yAJiwCKrsG
 xFlAfJBUDwAEEDEeUAE6ZDbQNQ4w7zCCPADEzEDHsgEdzs7GwsDKygTEzGAxJqAH
 mJkYIVnlHyQGQOn17x+QJ/4y/Pzxl+Hrt98MP378Yfj16z8DMzOTFhBvARo9D2hB
 LRB/ItYDAAFEyANWQEesADpDFhLaEMeDHMgCdDAHB9TxoNAH8llYmECOASchRiDm
 5GRh4OfnYGADegys8f9/aOZjACepnz//Mrx7+43h/t0PDG/ffudhY2fJA8aoMNAj
 pUBlz4nxAEAA4fOAH9CqZUB7uWGJCOhuYBpnAoc6JwcLkAZidmZwyIMcj+IBoHtB
 DhcAekBSipdBQpKHQVCIC+hpFrA6kBpQbPwDxtDHDz8Y1q6+xrBn1z0Gdg6WaEZG
 JhWglS5AK7+gFEqMIPNZURwJEEC4PGADdMBsIM0NTzJAC1mgjgc5ghmY3oHmQUoa
 qDwkdhjA+QDkUVBIP378keEREIP0cgBjhJubjYGXl41BVU2YQVFJCOiBf0CPcTIk
 pxsDPcrDsGr5VVAcmQMN2wEquYD4BSyv/fz5meHV66soDgUIIBZGtBIeqFQZ6KrF
 QIYYzPGg0AJlTJjjWYAhKyzMyaCiIswgIMgBjoW/f/9DMuivP0CL/gFpCPv373/g
 kAal/69ffgFD+ydQ/g/DuXPPGFxcVBhMTKWBmfoPOOa8fdUZzp97wXD92mtQ7FoD
 ra8Dui4bUo4wAc35yvDu3W0U1wIEEAtmLfK/CUgoMEAzKhMjJLqZQZkU6AGQ4/n5
 2BlCI3QYJCR4IaURIyM4hEDgH6i4BFUJQBrkAVBm/QJ0+JfPP8Ee+PEdmHF//wU7
 WEiEC+jxf+Ag/AOkQflIVU2Q4drVl7CaJBOaF5pByef7j3fAvPMbxbUAAYSehCqB
 OArqFgZQQQhyGDOwSASlc1AMgJKHIDD0RYS5wCEHtgboQSaQWiYGeIwxAU3mZgMm
 F6BnketbkMdApRLITFDJ9Of3f2gdCBJngOQnZiZ4TQw0NRsotZKFmfXW27c3gR7+
 heJggABiQmILA1UnMDIiKniQ40GOAnuAhQnuiR8/fjN8+vQTXBohKgpIUQnxMNA7
 QLl/4NIGGMKgnAougf6D8wjICkjS+getKf6DPQ3S/+L5Z3BRzMj0H5Y4xIGMDpBr
 Pn/BLJgAAgg5BgqBGtQYILUURDM0U4IcBMmYjOAkBEoGZ888Y3ByVkJpOIA8D4qV
 O7c/Mrx//wPqQGCmBupjZwdlYFYGHl52Bh4eNmARywoOGFDsMYNra0ZwKXT1ymtw
 QIGSFCQGQLHKEvj+433Hu/d27UP3AEAAwfKAEiO4Woc4AhbjkAoL2jxghlROIAxK
 q/fuvmNQURViUAKWJKBMCWq6gUL14P77DB8+/oQUpdAGF6jM/wd0ECijgyo2UKyC
 SzR2SAUIyvyvXn0FevwtpMnBwAhuCf6DBg4w+TB8/vIq9N//P/ug1QkjLN4BAogF
 6l5ga5JRCMXxSHkAUkwiWmcwsTOnnwFDlZ1BRIQTnFRA5bsQMG98+vwLzAYpB6V3
 RpDj/4OK1X/gkP35A4h/AksjYEx++/4bHACgUus/3F6gPpAd4KTFBAyQV0Bz/kbH
 xCTyHTu2e8atW3ePQf33HyCAYLnFmYERS9sWSzv3P7Q2BcXIp48/GI4cecjwDVjS
 MEMznrGJFIOkJC8wmf0GJyFQ8QkKeVDIgmiwGNAT4NIKmvZBAfIfmsH/wzIvIyim
 WRnevH3OsHPPEgZjM2bexMToKHFx5QigCl6Y6wACCJSlZIBMb0aUkIfWTuDiAVI6
 gC0Et2sgoQrig5LWpw/fGXbtvMPwGpgEQGkXJG5qJsWgoyfO8BNcJ/wBOhpU2vwD
 49/gBh2knvgJxD/AoQ/xEMQJEJqVhYXh9p1LDAePbmKIjbdgcHWxYOjvX/np8OHd
 oJqMH1YAAQQQKJ6tGSE5HRrgjNByHZE9QaH+7y8DPBRB+N9fUOUESaUfgDFx+NBD
 hnv33oGb1CzMzAza2mIMFhZywMzLzPD1KzC5/IY4+DfY4RCPgTL8H6A4KGlBgx7e
 LH/w8AbD6XMHGZwc1RlCQ6wZZs/exbBp0+HPTEzMj6AdIrDlAAEEajPaoXe2GFGS
 DNDhQMdDksNfMA0KPVBLEpR+v34DOeQvw5s33xh27bjDcOLEY2Ao/wXrU1AUYHBz
 V2UQE+Nh+Az05E9g8QsK8Z9Avb9//gXHzP//qPaysLAyPH56h+Hgka0M7u46DOnp
 LgwzZ+5m2LLlJIO+rqEgBzsfqN/wFuYBgAACFaMaDEjJhhEp7UN54BLk+3dQxvsN
 bmEKCHAy8AlwAWkOSNOCmQmcrEDF621gSfLs2WcGdXVRcCnFycXC4OyiDG7vHDn8
 EFhS/QWbCa4f4BkNUqwwAZPNzVuXGC5cPMrg6KjLEBFhwbBkySGG9euPMGiqqzOI
 iahyvXgpx/Xt+7u/sAAGCCCQByQYsWRcRmi3FxTloGaznIIgg6wsH4MikJaW4QM3
 k0FNakaoj8HFJdCjoNh4/forw1tgjLx6+QXsSVDDz9JKDkgzMRwBJrWPH7+DPY1s
 LSjZPH3xkOHajdMMevqyDFFRpgybN59mWL36CIOstDSw2SIPDAwRoEf8RD9/fs7w
 /ecHsD6AAALVA9yo4Y0AIMdISvMyREXrAUNTGJxpQbn4DygfgJPUP0RTEMoAVXTS
 MvwMUtJ84GQGDoQ/kPxiCiyh5OT4GVavvAL2HMhDoHKHmZmF4eWrpwxHj29n0NNV
 ZPD312bYtes80PHHGYSFgK1WBSUGHm4pcKdeTFSLx8u9F1Ssgu0DCCAWBqS8ixz6
 34Bp28FBAeh4fQYOYDIAlya//8Eba+De1n+k6GeGVnhIRSILsOkMKcGA+kCtVWC7
 R0yMmyEhyRBc6549+xRYMTIzvHz5jOHcxUNAxysxuLoqMRw+fIVhw4YzDIICAgyq
 ykoMfLyywP6HAFAt2LnAlMYBD2SAAAJVZD+Rsy3I8aB0qqMrzhAZow9u+4B6TrAW
 JzPTP4Z/0LYPuJUKLHFAyecNKNm8/c7wGdjqBNUB4OISWnSCm9a//4JLHRAbVIqB
 MjMoGf39+4fh+aurwBjjZbC2lmc4ffomsLS5CLSXg0FJQY5BUFCWgQuYdJhZ2KGl
 +v/v///DswADQACBvPQGNNrAiFTqgNpe5hYy4O7it++/IJ10UAuTCVr3/Yc0odlY
 WRiePPnIsHfPXYb799+Dkwkkhv6jVX4w/B/aGkWE1oVLJ4GVnySDlBQbw6lT14GO
 vwIsiViAaV2OQURUgYGbS5wBFuL/IVpeIZsNEEAgD9wFRoAlateNEWzRnz9/II4C
 tgxBbaD/0PYQKzjtMjCsXXMV2AF5Bi4W2YAZHeRRVljGZkTkDZjjwfXHf0i7iImR
 heHGzYvAjPkVGMKCDFeu3AHGCqgPzQ1sqgsA07oiAw+XBLC9xI08kPYNiFF6NAAB
 BCoKzqA6HqL25s034IoHVNyB2i9g/AfCByWdfXvuMRzYfw+cQTmALUtQ5QVqBoNa
 mJDWKxQzQ/rJYAzqM4MGBIAhfOfeDYbPXx8CKztNYOw9BRaVVxkuX7rPYGigyCAj
 Bcy0vNJAx/OC+8FIANi9ZHyGnGEBAgjUlDgESvYMSLmZHZjuTxx/zHAUWG6zs7NC
 h0MgpQ64IgOm55s3X4NjCtRxB2VekONBnmABjQ2xwhwN9BQrdMQC1KMDegDUrP7w
 8Q2w1LnOYGurw/DgwStgiXMTmM9+Ac1iB9ouBGwQKgAzLR8s0zIgdVHuA/E35AIH
 IIBA3rsAxIeQy1BQLIAs3L79NjBUXjBwAC0F1fYgx4N6UKAa1M9fk0FcnAfYzfsD
 jhFISENjgAnqGVD/gRkRK+wcbMCO0DuG48d3AzOsJpD9nWHv3rPAjP+RQVpKmEFJ
 UQ2YhOTAJQ4TEytGYxLIvYreuAQIICZo3tiO0VEAhta3r78Zliy6wHDmzFP48AMo
 CYGKVAlgizMSWD/o6UmAQxjkOXBxCiqZWJjgjobRoJj69fMrsOg8ymBkrAjUw8Zw
 8OAFYKX3ikFcDFhcqioD+9oyDFycAvChE7ThBlDTYSMjaonPABBAsFHM46DaHX08
 EeKw/wxLF19gWAfMsKAiEeQxUAb/9vUXMNRAlZwuQ2KSEYMusNgFdVBAFROkvvgH
 782BMKilunP3dgY2zt/Ahp4Sw/795xlu3LjLwMvLxaCjrcogKqII7D+LAs1nwzVO
 tQmIMXpkAAEE65GBhr6PMqA37KAVFBuwsgF1XkBjPFY2cgympjLgJAbK5Ex/GIGl
 BjeDr78GsInwg+EdsC4ANSUePfrI8PLFF7Aa0ADYgUP7gen/N4ONtRHY8Rcv3mTg
 5eEA1s4awGaCMrAkkgTlPvgwDBawGJsgQADB+sSgTNwEDPQdoOT/H71fA+pcsDEC
 2/zfGDZvvMHw4N57BjMLWQY5eQFgOc0KHSZhZODj42AQBvbINLVEwUMqL19+A3ro
 B7AleRjo4DMMISGODLduPWE4dPgCMEYYgLGmzCAtrQqsaSWBIQ8a5fgPrgCRpwcg
 QwEMV4AO2ofNAwABhNyp3wvEu4HKPeF9O2gt9B9UC/8HTTCAMiILw6PHn4ChfAPc
 3jE0lAT3i5mYWODjQqAGIMjTCsCGHwPDI2DS2cHg5mbG8PTpW4adO08A64GfDDZW
 OgyyMmrANo4ksIXLC648gcUEpFf2HyUp/2aEjFx/wOYBgABCHxdqBWo2ZwSVZUiT
 FPAQAY/OMQErH1ZwLf0J2Hk/evQRw7VrrxmEBDmBZTdkHEgQ2NzmB+Lv338yZGX1
 AksidoYvX34Ai8tTwMrsO0Nysi2Dh7sNMLYUgDHExHDyBKgy/AUpqv/9Q+/ELgMS
 h3FlDIAAYkErqUD5oAk66YA6QcAEyQ/gUQpoJ58FWsZ/B/aJnwDbP+BBOgZIxmVi
 /s9w/8EFYFHLC+zs/AI6/jSwgfiFITDQkMHLywrYX9ACFgJSDFzcoMFfAYaVKy6D
 PcyIau0ZoEAtvtFpgABignQtUfA00IwJdBwKWpT9h6dJVmDIg5IRD3SQlpeXnYEP
 2DcAxYCoKDeDuAQ3g6KSMMOTp/cZFi/eyqCoKA5U8xMYAx8ZAgL0GMLDHRiUlbWA
 HpMA1wsgL4MGetnAJd5f5CbIVyCZAcSP8XkAIIBY/v//gR5lvxkZOaIZGdmBxdZf
 e4b/f6DjHJDaGOQJDmDtDEoqwsBeFmjIHNRpASUfyOAVO7B2fcxw5MhBYNtfmqG3
 dwuDiooAQ36+E4OxkQ6wvNdmEBERY/j65S+w9/aC4c6td8AM/hzYKPwEaWP9B7Vu
 WF4B810k0NqzGLUBGgAIIJaPX9eipZa/DKzMYp/YWFVSWJiF57KwiNr9//8b7Im/
 wM7x6zdfGT5++gHuSoK6l6ARNk7osDknFyRGFi5aCuzgvwA3w79//wxMOlzAfCDE
 8P4dH7A4/gRsbn8ED2SBSrVPn36AYwFUv4BSwP9/35///vO08O+/T/sIOR40hQEQ
 QFhiANgT+/2I8dfvh3eYmXhCubncVrGxStuDSlrQ6AGoPfTjH2xk4j+43Ab1vD5/
 /gXMDywMDx/eY7h08RZY/O3b1wxqalIMBvo6wCQkDIwZ0OjDO/AwCkgPqN8BajtB
 impgm+vvlydfvu8K+vPnObBe+s/IQNgHDAABxAIdXmFA7Z4ycYGmTv/9/87/+euW
 dk52/eecHEZBjIxsbGCPgIbOf0IcwPwV0uoEDb3//v2d4dCR/Qxv331k+Pr1G4Oy
 khSDmooGMLZAQ098wNgAJcPf4KEUUABAHA5psP34eW3f959nZ/379+Un0B4FoOBr
 aPMZrycAAogFh5ggZC6YWRaon+vbj5P7fv999Z6Lw8iTlUVCDlIG/YX0Gf5BB6uA
 WeUusIn8/PlzcGkiIyMCbJypAPOFNDCmgI7/BqpS/iDmj8EOB+awP6+f/fh1Zf/P
 XzeOAY0VAIobgisPYEKA4t/4PAAQQCzYp+cZQK0pTiAG9uMYOYGZmvf3n8d3P315
 PIWNVVmXk8PYnZlZUIKJkRncxmIC5uzPn94CM+MJYFL6wqCqIssgLwds0/PIADM8
 sJJjZAP3nBmB6kHDtqAu4d9/H159/3Fh36/ft86BhgiADucF2gVrQ3Cg9NfxAIAA
 wuYB0Gw6aHnAPWgUgio1XmA2A3VKWX/+unP6958n11mYxeSBWIGNVVaDjVVU7tz5
 Y8xfv34Fdsz1GCTFZYClkhQwcwsCm9Zs0LmD339//33+8PfvJzf//H318M/f14/+
 /fv2CZj2QbMPoFD+CJ21B9n9DMr/S8gDAAGEzQN/oQY9hI6AgcYh+SADqoxcQAs5
 gUnhPTCjP/n1+8GxH78ucH75wm38+u1TD3kFtjcCAj+BnZhPf4G19p/fv1/9+cXw
 69vfv59eAx388O/fd8/+//8FLN+ZgKUkyz9gWv8NHSb8Cp2R/AidI/4MFSfoAYAA
 wjVL+Rdq6HfoEgA2SHICY2DSYuQAegTMB5ZMrD9+PPskK/v5GjPz75+/fn/59ucv
 37fvP1j/QKa5QRUJw19g8gFN1AEdzQ5K1z+Q8Hco/glN83/gUwNEAIAAIjTR/Q8p
 M31Fqq6ZoZgFWDWwsrIy3mZnZ+ZmYmJj5ebm+8XKygF0KGx4G2zGXyj+g4b/QuX/
 keJoZAAQQKQs9viP5JDfSN1Pxt+//zCB5jHYgKUsCDMyMqI1aTAw1QBAgAEANJlS
 IyqjNL4AAAAASUVORK5CYII=

Package: emacs24-el
Architecture: any
Depends: emacs24 (= ${source:Version}), ${misc:Depends}
Description: GNU Emacs LISP (.el) files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the elisp sources for the convenience of users,
 saving space in the main package for small systems.
XSBC-Maemo-Display-Name: GNU Emacs LISP files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

src_name := emacs24

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/opt/$(src_name) --without-sound

override_dh_install:
	# Move LISP source files to separate package
	(cd $(CURDIR)/debian/tmp && find -name "*.el.gz" -print0 \
           | tar cpf - --null --files-from -) \
             | (cd debian/$(src_name)-el && tar xpf -)
	find debian/tmp -name "*.el.gz" -exec rm '{}' \;
	# Move the rest into the main binary package
	rm -r debian/tmp/var
	mv debian/tmp/* debian/$(src_name)
	dh_install
	
override_dh_installman:

override_dh_installchangelogs:
